<?php

/**
 * Exchange rate conversion
 */
if ( !function_exists( 'get_currency_exchange' ) ) {
    function get_currency_exchange( $currency, $cost ) {
        $XML = simplexml_load_file( 'http://www.ecb.europa.eu/stats/eurofxref/eurofxref-daily.xml' ); 

        $eur_rate = 1;
        foreach( $XML->Cube->Cube->Cube as $rate ) {                
            if ( 'USD' == (string)$rate['currency'] ) {
                $eur_rate = 1.0 / (float)$rate['rate'];
                break;
            }
        }

        if ( 'EUR' == $currency ) {
            return ( $eur_rate * $cost );
        }

        foreach( $XML->Cube->Cube->Cube as $rate ) {
            if ( $currency == (string)$rate['currency'] ) {
                return ( ( (float)$rate['rate'] ) * $eur_rate * $cost );
            }
        }

        return $cost;
    }
}