<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div class="wrap">
	<h1><?php echo esc_html( get_admin_page_title() ); ?></h1>
	<form id="form_doubridge" method="post" action="options.php" novalidate="novalidate">
		<?php settings_fields( 'doubridge_api' ); ?>
		<?php do_settings_sections( 'doubridge_api' ); ?>
		<input name="doubridge_api[expires_time]" type="hidden" id="expires_time" value="<?php echo $options['expires_time']; ?>" class="regular-text" />
		<input name="doubridge_api[refresh_token]" type="hidden" id="refresh_token" value="<?php echo $options['refresh_token']; ?>" class="regular-text" />
		<table class="form-table">
		<tr>
		<th scope="row"><label for="host">Server Url:</label></th>
		<?php if( $GLOBALS['doubridge']->DEBUG ): ?>
		<td><input name="doubridge_api[host]" type="text" id="host" value="<?php echo $options['host']; ?>" class="regular-text" /></td>
		<?php else: ?>
		<td><input name="doubridge_api[host]" type="text" id="host" value="<?php echo $GLOBALS['doubridge']->SERVER_URL; ?>" readonly="readonly" class="regular-text" /></td>
		<?php endif; ?>
		</tr>
		<tr>
		<th scope="row"><label for="client_id">Client ID:</label></th>
		<td><input name="doubridge_api[client_id]" type="text" id="client_id" value="<?php echo $options['client_id']; ?>" class="regular-text" /></td>
		</tr>
		<tr>
		<th scope="row"><label for="client_secret">Client Secret:</label></th>
		<td><input name="doubridge_api[client_secret]" type="text" id="client_secret" value="<?php echo $options['client_secret']; ?>" class="regular-text" /></td>
		</tr>
		<tr>
		<th scope="row"><label for="callback_url">Callback Url:</label></th>
		<td><input name="doubridge_api[callback_url]" type="text" id="callback_url" value="<?php echo $options['callback_url']; ?>" class="regular-text" /></td>
		</tr>
		<tr>
		<th scope="row"><label for="tokens">Token:</label></th>
		<td><input name="doubridge_api[access_token]" type="text" readonly="readonly" id="access_token" value="<?php echo $options['access_token']; ?>" class="regular-text" />
			<button type="button" id="btn_refresh_token"><i class="fa fa-refresh fa-spin"></i> Refresh Token</button>
		</td>
		</tr>
		<tr>
		<th scope="row"><label for="email">Email:</label></th>
		<td><input name="doubridge_api[email]" type="text" id="email" value="<?php echo $options['email']; ?>" class="regular-text" /></td>
		</tr>
		<tr>
		<th scope="row"></th>
		<td><?php submit_button(); ?> </td>
		</tr>
	</form>
	<div style="clear:both;">
	<h3>About shipping costs to different countries</h3>
	<p>We will add the shipping difference as Additional fee when clients checkout.
	Explanation: <br>Let's set the shipping cost from China to your Country as A, 
							and set the shipping cost from China to customer's address as B.</p>
	<li>if A >B, that means you have more margin, your customer paid is A</li>
	<li>if A< B, then we will add the difference as Additional fee, your customer paid is B</li>
	</div>
</div>
<script>
jQuery('#btn_refresh_token').click(function() {
  jQuery.ajax({
    url: '<?php echo $token_url;?>',
    data: jQuery('#form_doubridge').serialize(),
    type: 'post',
    dataType: 'json',
    beforeSend: function() {
      jQuery('#btn_refresh_token').empty().html('Processing...').attr('disabled','disabled');
    },
    success: function(json) {
      if (json.error == 0) {
        jQuery('#access_token').val(json.data.access_token);
				jQuery('#refresh_token').val(json.data.refresh_token);
				jQuery('#expires_time').val(json.data.expires_time);
      } else {
        jQuery('#btn_refresh_token').empty().html('Failing');
      }
    },
    complete: function() {
      jQuery('#btn_refresh_token').empty().html('Refresh Token').removeAttr('disabled');
    },
    error: function(xhr, ajaxOptions, thrownError) {
			alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
    }
  })
});
</script>
